#import "AsTagItem.h"

@implementation AsTagItem

@synthesize tag;
@synthesize count;
- (void)encodeWithCoder:(NSCoder *)aCoder
{
    [aCoder encodeObject:self.tag forKey:@"tag"];
    [aCoder encodeInt:self.count forKey:@"count"];
    [aCoder encodeFloat:self.rssi forKey:@"rssi"];
    [aCoder encodeFloat:self.phase forKey:@"phase"];
    [aCoder encodeFloat:self.frequency forKey:@"frequency"];
    [aCoder encodeObject:self.dateTime forKey:@"dateTime"];
}
- (nullable instancetype)initWithCoder:(NSCoder *)aDecoder
{
    if (self = [super init]) {
        self.tag = [aDecoder decodeObjectForKey:@"tag"];
        self.count = [aDecoder decodeIntForKey:@"count"];
        self.rssi = [aDecoder decodeFloatForKey:@"rssi"];
        self.phase = [aDecoder decodeFloatForKey:@"phase"];
        self.frequency = [aDecoder decodeFloatForKey:@"frequency"];
        self.dateTime = [aDecoder decodeObjectForKey:@"dateTime"];
    }
    return self;
}
- (id)copyWithZone:(NSZone *)zone{
    AsTagItem *asTagItem=[[[self class] allocWithZone:zone] init];
    asTagItem.tag=self.tag;
    asTagItem.count=self.count;
    asTagItem.rssi  =self.rssi;
    asTagItem.phase  =self.phase;
    asTagItem.frequency  =self.frequency;
    asTagItem.dateTime  =self.dateTime;
    return asTagItem;
}
+ (id)itemWith:(NSString *)tag rssi:(float)rssi phase:(float)phase frequency:(float)frequency{
    AsTagItem *item = [[AsTagItem alloc] init];
    [item setTag:tag];
    [item setRssi:rssi];
    [item setPhase:phase];
    [item setFrequency:frequency];
    [item setCount:1];
    NSDate *timeDate = [NSDate date];
    NSDateFormatter *formatter = [[NSDateFormatter alloc] init];
    [formatter setDateStyle:NSDateFormatterMediumStyle];
    [formatter setTimeStyle:NSDateFormatterShortStyle];
    [formatter setDateFormat:@"YYYY/MM/dd HH:mm:ss"];
    NSString *dateTime = [formatter stringFromDate:timeDate];
    [item setDateTime:dateTime];
    return item;
};
- (void)updateRssi:(float)rssi withPhase:(float)phase frequency:(float)frequency {
    NSDate *timeDate = [NSDate date];
    NSDateFormatter *formatter = [[NSDateFormatter alloc] init];
    [formatter setDateStyle:NSDateFormatterMediumStyle];
    [formatter setTimeStyle:NSDateFormatterShortStyle];
    [formatter setDateFormat:@"YYYY/MM/dd HH:mm:ss"];
    NSString *dateTime = [formatter stringFromDate:timeDate];
    [self setDateTime:dateTime];
    [self setRssi:rssi];
    [self setPhase:phase];
    [self setFrequency:frequency];
}
@end
