//
//  RFIDFirmwareManager.h
//  AsReaderP252BDemo
//
//  Created by Songxueqian on 2022/4/1.
//  Copyright © 2022 asterisk. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "AsReaderP252BManager.h"

typedef NS_ENUM(NSUInteger, P252BFirmwarePropertyType) {
    P252BFirmwarePropertyTypeGet = 0x52,        // 'R'
    P252BFirmwarePropertyTypeSet = 0x57,        // 'W'
};

typedef NS_ENUM(char , P252BFirmwareType) {
    P252BFirmwareTypePicketStart   = 0x7B,         // '{'
    P252BFirmwareTypePicketData    = 0x5E,         // '^'
    P252BFirmwareTypePicketEND     = 0x7C,         // '|'
    P252BFirmwareTypePicketReset   = 0x7D,         // '}'
};
@interface RFIDFirmwareManager : NSObject
+ (RFIDFirmwareManager *)sharedRFIDFirmwareManager;

- (void)updateRFIDFirmwareWithFileName:(NSString *)fileName
fileData:(NSData *)data
result:(void(^)(BOOL result))result
progress:(void(^)(NSProgress * progress))progress;

- (void)rX:(NSData *)readData;
@end
