#ifndef RFBlasterDemo_Header_h
#define RFBlasterDemo_Header_h

#import "AsReaderP252BRfidValues.h"
#import "AsReaderP252BPacket.h"
#import "AsReaderP252BBarcode.h"

#define REMOTE_KEY_UP           0
#define REMOTE_KEY_DOWN         1

@class AsReaderP252B;
@protocol AsReaderP252BDelegate <NSObject>

@optional
- (void)whenAsReaderP252BIsConnected:(BOOL)isConnected;
- (void)updateAsReaderP252BDeviceState:(AsReaderP252BResultCode)error;
- (void)readAsReaderP252BTag:(NSString *)tag rssi:(float)rssi phase:(float)phase frequency:(float)frequency;
- (void)changedAsReaderP252BActionState:(AsReaderP252BCommandType)action resultCode:(NSInteger)resultCode;
- (void)accessAsReaderP252BResult:(AsReaderP252BResultCode)error actionState:(AsReaderP252BCommandType)action epc:(NSString *)epc data:(NSString *)data rssi:(float)rssi phase:(float)phase frequency:(float)frequency;
- (void)readAsReaderP252BTemperatureTag:(NSString *)tag rssi:(float)rssi phase:(float)phase frequency:(float)frequency temperature:(float)temperature;
- (void)readAsReaderP252BHumidityTag:(NSString *)tag rssi:(float)rssi phase:(float)phase frequency:(float)frequency humidity:(float)humidity;
- (BOOL)onAsReaderP252BTriggerKeyEvent:(BOOL)status;
- (void)whenAsReaderP252BReceivedData:(NSData *)receivedData;
- (void)whenAsReaderP252BWriteData:(NSData *)writeData;
- (BOOL)onAsReaderP252BModeKeyEvent:(BOOL)status;
- (void)detectBarcode:(AsReaderP252BBarcodeType)barcodeType barcode:(NSString *)barcode;
- (void)detectBarcode:(AsReaderP252BBarcodeType)barcodeType barcodeData:(NSData *)barcodeData;
@end

#endif
